package com.usoftchina.bi.server.model.po;

/*
数据源
 */
public class DataConnector {
    private int dataId;
    private String dataName;
    private String tableName;
    private String dbConId;         //数据库配置ID
    private BaseConfig dbConfig;         //数据库配置
    private String loadObject;    //加载对象
    private int connectorGroup;
    private String note;
    private String columnConfig;
    private String dataTag;
    private int usedNumber;
    private String type;
    private String createBy;
    private int createId;
    private String createDate;
    private String updateDate;
    private boolean demo;

    public boolean isDemo() {
        return demo;
    }

    public void setDemo(boolean demo) {
        this.demo = demo;
    }

    public int getDataId() {
        return dataId;
    }

    public void setDataId(int dataId) {
        this.dataId = dataId;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getDbConId() {
        return dbConId;
    }

    public void setDbConId(String dbConId) {
        this.dbConId = dbConId;
    }

    public BaseConfig getDbConfig() {
        return dbConfig;
    }

    public void setDbConfig(BaseConfig dbConfig) {
        this.dbConfig = dbConfig;
    }

    public String getLoadObject() {
        return loadObject;
    }

    public void setLoadObject(String loadObject) {
        this.loadObject = loadObject;
    }

    public int getConnectorGroup() {
        return connectorGroup;
    }

    public void setConnectorGroup(int connectorGroup) {
        this.connectorGroup = connectorGroup;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getColumnConfig() {
        return columnConfig;
    }

    public void setColumnConfig(String columnConfig) {
        this.columnConfig = columnConfig;
    }

    public String getDataTag() {
        return dataTag;
    }

    public void setDataTag(String dataTag) {
        this.dataTag = dataTag;
    }

    public int getUsedNumber() {
        return usedNumber;
    }

    public void setUsedNumber(int usedNumber) {
        this.usedNumber = usedNumber;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public int getCreateId() {
        return createId;
    }

    public void setCreateId(int createId) {
        this.createId = createId;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    @Override
    public String toString() {
        return "DataConnector{" +
                "dataId=" + dataId +
                ", dataName='" + dataName + '\'' +
                ", tableName='" + tableName + '\'' +
                ", dbConId=" + dbConId +
                ", dbConfig='" + dbConfig + '\'' +
                ", loadObject='" + loadObject + '\'' +
                ", connectorGroup=" + connectorGroup +
                ", note='" + note + '\'' +
                ", columnConfig='" + columnConfig + '\'' +
                ", dataTag='" + dataTag + '\'' +
                ", usedNumber=" + usedNumber +
                ", type='" + type + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createId=" + createId +
                ", createDate='" + createDate + '\'' +
                ", updateDate='" + updateDate + '\'' +
                '}';
    }
}
